package de.unikoblenz.fgbks.dmn.core.dmnhelper;

import org.camunda.bpm.dmn.engine.DmnDecision;
import org.camunda.bpm.dmn.engine.impl.DmnDecisionTableOutputImpl;

public class OutputType extends Type {

  OutputType(DmnDecision descision, String id, DataType dataType, String expression) {
    super(descision, id, dataType, expression);
  }

  public OutputType(DmnDecision d, DmnDecisionTableOutputImpl output) {
    this(
        d,
        output.getId(),
        DataType.getTypeFromString(output.getTypeDefinition().getTypeName()),
        output.getOutputName());
  }

  public OutputType(OutputType oType) {
    super(oType);
  }
}
