DMN Verifier
=====

## Project structure
- [DMN Verifier](./dmn-verifier-app): Backend and frontend of the Application
- [DMN Generator](./dmn-generator): DMN generator for performance tests

## GitLab Wiki for documentation
[DMN Verifier Wiki documentation](../../wikis/home)

## Used libaries
- [dmn-js](https://github.com/bpmn-io/dmn-js) for visualisation of the dmn tables
- [camunda-engine-dmn](https://github.com/camunda/camunda-engine-dmn) for backend parsing and operate on dmn tables 
- [Primefaces](https://www.primefaces.org/#) for frontend visualisation of result tables
- [Google Guava](https://github.com/google/guava) java utils
