package de.uniko.bks.statistic;

public class dmnInt {
  private boolean isRange = false;
  private boolean isLower = false;
  private boolean isGreater = false;
  private boolean isEqual = false;
  private boolean isInt = false;
  private boolean isLong = false;
  private boolean isDouble = false;
  private int lowerBoundInt;
  private int upperBoundInt;
  private int numberInt;
  private double numberDouble;
  private double lowerBoundDouble;
  private double upperBoundDouble;
  private long numberLong;
  private long lowerBoundLong;
  private long upperBoundLong;
  private String ruleName = "";
  private String originalText = "";
  private boolean isDoesntMatter = false;
  final char eq = "=".charAt(0);
  final char lt = "<".charAt(0);
  final char gt = ">".charAt(0);

  void setRuleName(String ruleName) {
    this.ruleName = ruleName;
  }

  public String getRuleName() {
    return ruleName;
  }

  public boolean isRange() {
    return isRange;
  }

  public boolean isLower() {
    return isLower;
  }

  public boolean isGreater() {
    return isGreater;
  }

  public boolean isEqual() {
    return isEqual;
  }

  public int getLowerBoundInt() {
    return lowerBoundInt;
  }

  public int getUpperBoundInt() {
    return upperBoundInt;
  }

  public int getNumberInt() {
    return numberInt;
  }

  public double getNumberDouble() {
    return numberDouble;
  }

  public double getLowerBoundDouble() {
    return lowerBoundDouble;
  }

  public double getUpperBoundDouble() {
    return upperBoundDouble;
  }

  public long getNumberLong() {
    return numberLong;
  }

  public long getLowerBoundLong() {
    return lowerBoundLong;
  }

  public long getUpperBoundLong() {
    return upperBoundLong;
  }

  public boolean isInt() {
    return isInt;
  }

  public boolean isLong() {
    return isLong;
  }

  public boolean isDouble() {
    return isDouble;
  }

  public dmnInt(int number) {
    this.isInt = true;
    this.numberInt = number;
    this.lowerBoundInt = number;
    this.upperBoundInt = numberInt;
    this.isEqual = true;
  }

  public dmnInt(double number) {
    this.numberDouble = number;
    this.lowerBoundDouble = number;
    this.upperBoundDouble = number;
    this.isDouble = true;
  }

  public dmnInt(long number) {
    this.numberLong = number;
    this.lowerBoundLong = number;
    this.upperBoundLong = number;
  }

  public dmnInt(int lowerBoundInt, int upperBoundInt) {
    this.upperBoundInt = upperBoundInt;
    this.lowerBoundInt = lowerBoundInt;
    this.isRange = true;
    this.isInt = true;
  }

  public dmnInt(double lowerBoundDouble, double upperBoundDouble) {
    this.upperBoundDouble = upperBoundDouble;
    this.lowerBoundDouble = lowerBoundDouble;
    this.isRange = true;
    this.isDouble = true;
  }

  public dmnInt(long lowerBoundLong, long upperBoundLong) {
    this.lowerBoundLong = lowerBoundLong;
    this.upperBoundLong = upperBoundLong;
    this.isRange = true;
  }

  public dmnInt(int number, boolean isLower, boolean isGreater, boolean isEqual) {
    if (isLower && isGreater) {
      System.out.println("ERROR: Number can't be lower and greater...");
    }
    this.isInt = true;
    this.isEqual = isEqual;
    this.isGreater = isGreater;
    this.isLower = isLower;
    this.numberInt = number;
  }

  public dmnInt(boolean itDoesntMatter) {
    this.isDoesntMatter = true;
  }

  public dmnInt(String term, String type) {
    String modTerm = term;

    char c = term.charAt(0);

    if (lt == c) {
      this.isLower = true;
      modTerm = modTerm.replace("<", "");
    } else if (gt == c) {
      this.isGreater = true;
      modTerm = modTerm.replace(">", "");
    }
    c = term.charAt(1);
    if (eq == c) {
      this.isEqual = true;
      modTerm = modTerm.replace("=", "");
    }

    modTerm = modTerm.replace(" ", "");

    switch (type) {
      case "integer":
        this.numberInt = Integer.parseInt(modTerm);
        this.isInt = true;
      case "double":
        this.numberDouble = Double.parseDouble(modTerm);
        this.isDouble = true;
      case "long":
        this.numberLong = Long.parseLong(modTerm);
        this.isLong = true;
    }
    if (!this.isLower && !this.isGreater && !this.isEqual) {
      this.isEqual = true;
    }
  }

  public dmnInt(double number, boolean isLower, boolean isGreater, boolean isEqual) {
    if (isLower && isGreater) {
      System.out.println("ERROR: Number can't be lower and greater...");
    }
    this.isDouble = true;
    this.isEqual = isEqual;
    this.isGreater = isGreater;
    this.isLower = isLower;
    this.numberDouble = number;
  }

  public dmnInt(long number, boolean isLower, boolean isGreater, boolean isEqual) {
    if (isLower && isGreater) {
      System.out.println("ERROR: Number can't be lower and greater...");
    }

    this.isEqual = isEqual;
    this.isGreater = isGreater;
    this.isLower = isLower;
    this.numberLong = number;
  }

  public boolean compare(dmnInt sndNum) {
    if (this.isDoesntMatter || sndNum.isDoesntMatter()) {
      return true;
    }
    if (this.isRange) {
      return range(this, sndNum);
    }
    if (sndNum.isRange) {
      return range(sndNum, this);
    }
    return bothNumbers(this, sndNum);
  }

  public boolean bothNumbers(dmnInt x, dmnInt y) {
    if (x.isLower) {
      if (y.isLower) {
        if (y.isInt && x.isInt) {
          if (x.numberInt < y.numberInt || y.numberInt < x.numberInt) {
            return true;
          }
        } else if (y.isDouble && x.isDouble) {
          if (x.numberDouble < y.numberDouble || y.numberDouble < x.numberDouble) {
            return true;
          }
        } else if (y.isLong && x.isLong) {
          if (x.numberLong < y.numberLong || y.numberLong < x.numberLong) {
            return true;
          }
        }
      }
      if (y.isEqual) {
        if (y.isInt && x.isInt) {
          if (x.numberInt > y.numberInt) {
            return true;
          }
        } else if (y.isDouble && x.isDouble) {
          if (x.numberDouble > y.numberDouble) {
            return true;
          }
        } else if (y.isLong && x.isLong) {
          if (x.numberLong > y.numberLong) {
            return true;
          }
        }
      }
      if (y.isGreater) {
        if (y.isInt && x.isInt) {
          if ((x.numberInt != y.numberInt)
              && (y.numberInt < x.numberInt || x.numberInt > y.numberInt)) {
            return true;
          }
        } else if (y.isDouble && x.isDouble) {
          if ((x.numberDouble != y.numberDouble)
              && (y.numberDouble < x.numberDouble || x.numberDouble > y.numberDouble)) {
            return true;
          }
        } else if (y.isLong && x.isLong) {
          if ((x.numberLong != y.numberLong)
              && (y.numberLong < x.numberLong || x.numberLong > y.numberLong)) {
            return true;
          }
        }
      }
    }
    if (x.isEqual) {
      if (y.isLower) {
        if (y.isInt && x.isInt) {
          if (x.numberInt < y.numberInt) {
            return true;
          }
        } else if (y.isDouble && x.isDouble) {
          if (x.numberDouble < y.numberDouble) {
            return true;
          }
        } else if (y.isLong && x.isLong) {
          if (x.numberLong < y.numberLong) {
            return true;
          }
        }
      }
      if (y.isEqual) {
        if (y.isInt && x.isInt) {
          if (x.numberInt == y.numberInt) {
            return true;
          }
        } else if (y.isDouble && x.isDouble) {
          if (x.numberDouble == y.numberDouble) {
            return true;
          }
        } else if (y.isLong && x.isLong) {
          if (x.numberLong == y.numberLong) {
            return true;
          }
        }
      }
      if (y.isGreater) {
        if (y.isInt && x.isInt) {
          if (x.numberInt > y.numberInt) {
            return true;
          }
        } else if (y.isDouble && x.isDouble) {
          if (x.numberDouble > y.numberDouble) {
            return true;
          }
        } else if (y.isLong && x.isLong) {
          if (x.numberLong > y.numberLong) {
            return true;
          }
        }
      }
    }
    if (x.isGreater) {
      if (y.isLower) {
        if (y.isInt && x.isInt) {
          if ((x.numberInt != y.numberInt)
              && (y.numberInt > x.numberInt || x.numberInt < y.numberInt)) {
            return true;
          }
        } else if (y.isDouble && x.isDouble) {
          if ((x.numberDouble != y.numberDouble)
              && (y.numberDouble > x.numberDouble || x.numberDouble < y.numberDouble)) {
            return true;
          }
        } else if (y.isLong && x.isLong) {
          if ((x.numberLong != y.numberLong)
              && (y.numberLong > x.numberLong || x.numberLong < y.numberLong)) {
            return true;
          }
        }
      }
    }
    return false;
  }

  public boolean rangeTest(int number, int lower, int upper) {
    if ((number > lower && number < upper) || (number == lower) || (number == upper)) {
      return true;
    }
    return false;
  }

  public boolean rangeTest(double number, double lower, double upper) {
    if (((number > lower && number < upper) || (number == lower) || (number == upper))) {
      return true;
    }
    return false;
  }

  public boolean rangeTest(long number, long lower, long upper) {
    if ((number > lower && number < upper) || (number == lower) || (number == upper)) {
      return true;
    }
    return false;
  }

  public boolean range(dmnInt x, dmnInt y) {
    if (x.isRange) {
      if (y.isRange) {
        if (y.isInt && x.isInt) {
          // Case if both is int range
          if (rangeTest(x.lowerBoundInt, y.lowerBoundInt, y.upperBoundInt)
              || rangeTest(x.upperBoundInt, y.lowerBoundInt, y.upperBoundInt)
              || rangeTest(y.lowerBoundInt, x.lowerBoundInt, x.upperBoundInt)
              || rangeTest(y.upperBoundInt, x.lowerBoundInt, x.upperBoundInt)) {
            return true;
          }
          return false;

        } else if (y.isDouble && x.isDouble) {
          if (rangeTest(x.lowerBoundDouble, y.lowerBoundDouble, y.upperBoundDouble)
              || rangeTest(x.upperBoundDouble, y.lowerBoundDouble, y.upperBoundDouble)
              || rangeTest(y.lowerBoundDouble, x.lowerBoundDouble, x.upperBoundDouble)
              || rangeTest(y.upperBoundDouble, x.lowerBoundDouble, x.upperBoundDouble)) {
            return true;
          }
          return false;
        } else if (y.isLong && x.isLong) {
          if (rangeTest(x.lowerBoundLong, y.lowerBoundLong, y.upperBoundLong)
              || rangeTest(x.upperBoundLong, y.lowerBoundLong, y.upperBoundLong)
              || rangeTest(y.lowerBoundLong, x.lowerBoundLong, x.upperBoundLong)
              || rangeTest(y.upperBoundLong, x.lowerBoundLong, x.upperBoundLong)) {
            return true;
          }
          return false;
        }
      } else {
        if (y.isInt && x.isInt) {
          // Case if both is int range
          if (y.isEqual) {
            if (rangeTest(y.numberInt, x.lowerBoundInt, x.upperBoundInt)) {
              return true;
            }
          }
          if (y.isLower) {
            if (x.lowerBoundInt < y.numberInt) {
              return true;
            }
            return false;
          }
          if (y.isGreater) {
            if (x.upperBoundInt > y.numberInt) {
              return true;
            }
            return false;
          }
        } else if (y.isDouble && x.isDouble) {
          if (y.isEqual) {
            if (rangeTest(y.numberDouble, x.lowerBoundDouble, x.upperBoundDouble)) {
              return true;
            }
          }
          if (y.isLower) {
            if (x.lowerBoundDouble < y.numberDouble) {
              return true;
            }
            return false;
          }
          if (y.isGreater) {
            if (x.upperBoundDouble > y.numberDouble) {
              return true;
            }
            return false;
          }
        } else if (y.isLong && x.isLong) {
          if (y.isEqual) {
            if (rangeTest(y.numberLong, x.lowerBoundLong, x.upperBoundLong)) {
              return true;
            }
          }
          if (y.isLower) {
            if (x.lowerBoundLong < y.numberLong) {
              return true;
            }
            return false;
          }
          if (y.isGreater) {
            if (x.upperBoundLong > y.numberLong) {
              return true;
            }
            return false;
          }
        }
      }
    }
    return false;
  }

  public boolean isDoesntMatter() {
    return isDoesntMatter;
  }
}
