package de.unikoblenz.fgbks.dmn.core.dmnhelper;

import org.camunda.bpm.dmn.engine.DmnDecision;
import org.camunda.bpm.dmn.engine.impl.DmnDecisionTableInputImpl;

public class InputType extends Type {

  private InputType(DmnDecision descision, String id, DataType dataType, String expression) {
    super(descision, id, dataType, expression);
  }

  public InputType(DmnDecision d, DmnDecisionTableInputImpl input) {
    this(
        d,
        input.getId(),
        DataType.getTypeFromString(input.getExpression().getTypeDefinition().getTypeName()),
        input.getName());
  }

  public InputType(InputType inputType) {
    super(inputType);
  }
}
