package de.unikoblenz.fgbks.dmn.core.dmnhelper;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.util.List;
import org.camunda.bpm.dmn.engine.DmnDecision;
import org.camunda.bpm.dmn.engine.DmnEngineConfiguration;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class DmnRuleMapTest {
  private List<DmnDecision> dmnDecisions;

  @BeforeEach
  void init() throws FileNotFoundException {
    File f = new File(".");
    InputStream inputStream =
        new FileInputStream(
            new File(getClass().getClassLoader().getResource("dmnMultiTable1.dmn").getFile()));
    this.dmnDecisions =
        DmnEngineConfiguration.createDefaultDmnEngineConfiguration()
            .buildEngine()
            .parseDecisions(inputStream);
  }

  @Test
  void testCreation() {
    DmnRuleMap rm = DmnRuleMap.createMapFromDmn(dmnDecisions);
  }
}
